package rpc

import (
	"github.com/valyala/fasthttp"

	cwf "git.loafle.net/commons_go/websocket_fasthttp"
)

type GatewayRPCHandler interface {
	Init(serverCTX cwf.ServerContext) error
	Handshake(serverCTX cwf.ServerContext, ctx *fasthttp.RequestCtx) (id string, extensionsHeader *fasthttp.ResponseHeader)

	Validate()
}
